﻿namespace Zachowania
{
    internal class PrzyciskZLicznikiem : Behavior<Button>
    {
        public int Licznik { get; set; } = 0;

        protected override void OnAttachedTo(Button button)
        {
            base.OnAttachedTo(button);
            if(button != null)
            {
                button.Clicked += button_Clicked;
                button.Text = "Licznik: " + Licznik.ToString();
                button.BackgroundColor = Colors.Red;
            }
        }

        protected override void OnDetachingFrom(Button button)
        {
            base.OnDetachingFrom(button);
            button.Clicked -= button_Clicked;
        }

        private void button_Clicked(object? sender, EventArgs e)
        {
            Licznik++;
            Button? button = sender as Button;
            if (button != null)
            {
                button.Text = "Licznik: " + Licznik.ToString();
                button.BackgroundColor = Colors.Lime;
            }
        }
    }
}
